Subject: Fast HDLC driver

From: Owen Green <[email-masked]>
Date: Tue, 19 Nov 2002 08:08:53 -0800 (PST)

Hi all,

I`ve started working on a new project were a high
performace hdlc channel is needed (at least 4Mbps on
MPC8xx-50Mhz).
I found several drivers for hdlc, but some are not
very fast (copies memory,... ), most of them calls
netif_rx from inside interrupt_handler (I don`t think
this is the best place for doing that, watchdog may
expire if the interface gets very busy..).
The only driver I found that seems to be really fast
and doesnt do all this stuff in interrupt context is
for kernel-2.2 (QSLINUX).
Does anyone ported this to 2.4 or knows another
implementation of hdlc driver that could do this the
way I`m thinking?

Thanks in advance, Owen.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/